{ config, pkgs, ... }:

{
  # Package configuration
  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;

    packageOverrides = pkgs: with pkgs; {
      busyboxStatic =  busybox.override {
        enableStatic = true;
        extraConfig = ''
           CONFIG_STATIC y
           CONFIG_INSTALL_APPLET_DONT y
           CONFIG_INSTALL_APPLET_SYMLINKS n
         '';
      };
    };
  };

  environment.systemPackages = with pkgs; [
    elfutils
    exfat
    file
    tree
    pwgen
    proot

    parted
    pv
    tmux
    wget
    curl

    gitFull
    pastebinit
    gist
    mr

    usbutils
    pciutils
  ];
}
